<?php 
// furProduct Categories SECTION START HERE 
/*============pRODICT CATEGORIES PANEL============*/
$wp_customize->add_section(
    'furcatproproduct_section',
    array(
        'title'         => __( 'Category Products ', 'supermart-ecommerce' ),
        'panel'   => 'lz_fitness_premium_home_panel',
    )
);
// ENABLE/DISABLE product category SECTION
$wp_customize->add_setting(
    'furcatproduct_section_disable',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default' => 'off'
    )
);
$wp_customize->add_control(
    new lz_fitness_Switch_Control(
        $wp_customize,
        'furcatproduct_section_disable',
        array(
            'settings'      => 'furcatproduct_section_disable',
            'section'       => 'furcatproproduct_section',
            'label'         => __( 'Disable Section', 'supermart-ecommerce' ),
            'on_off_label'  => array(
                'on' => __( 'Yes', 'supermart-ecommerce' ),
                'off' => __( 'No', 'supermart-ecommerce' )
            )   
        )
    )
);

backgroundManager($wp_customize, 'furcatproduct', 'furcatproproduct_section', $color='#f7f6f2', get_template_directory_uri().'/images/default-gray.png', 'img');

lzCustomLable($wp_customize, 'furcatproductsection_padding', 'furcatproproduct_section', ' Section Padding Setting:');

$wp_customize->add_setting(
    'furcatproduct_toppadding',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default'           => __( '2em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'furcatproduct_toppadding',
    array(
        'settings'      => 'furcatproduct_toppadding',
        'section'       => 'furcatproproduct_section',
        'type'          => 'text',
        'label'         => __( 'Section Top Padding', 'luzuk-premium' )
    )
);
$wp_customize->add_setting(
    'furcatproduct_bottompadding',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default'           => __( '2em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'furcatproduct_bottompadding',
    array(
        'settings'      => 'furcatproduct_bottompadding',
        'section'       => 'furcatproproduct_section',
        'type'          => 'text',
        'label'         => __( 'Section Bottom Padding', 'luzuk-premium' )
    )
);

$wp_customize->add_setting(
    'lz_fitness_furcatproduct_title_sub_title_heading',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text'
    )
);
$wp_customize->add_control(
    new lz_fitness_Customize_Heading(
        $wp_customize,
        'lz_fitness_furcatproduct_title_sub_title_heading',
        array(
            'settings'      => 'lz_fitness_furcatproduct_title_sub_title_heading',
            'section'       => 'furcatproproduct_section',
            'label'         => __( 'Section Title', 'supermart-ecommerce' ),
        )
    )
);   
$wp_customize->add_setting(
    'lz_fitness_furcatproduct_title',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default'           => __( 'Category Product', 'supermart-ecommerce' )
    )
);
$wp_customize->add_control(
    'lz_fitness_furcatproduct_title',
    array(
        'settings'      => 'lz_fitness_furcatproduct_title',
        'section'       => 'furcatproproduct_section',
        'type'          => 'text',
        'label'         => __( 'Title', 'supermart-ecommerce' )
    )
);

// Heading color
addColorPalatOption($wp_customize, 'furproduct_category_Heading_color', 'furcatproproduct_section', 'Heading color ','#fff');

addColorPalatOption($wp_customize, 'furproduct_category_Heading_bgcolor', 'furcatproproduct_section', 'Heading BG color ','#000');

// lzCustomLable($wp_customize, 'furproductbox_height', 'furcatproproduct_section', ' Product Height Setting:');

// $wp_customize->add_setting(
//     'furproduct_height',
//     array(
//         'sanitize_callback' => 'lz_fitness_sanitize_text',
//         'default'           => __( '250px', 'luzuk-premium' )
//     )
// );
// $wp_customize->add_control(
//     'furproduct_height',
//     array(
//         'settings'      => 'furproduct_height',
//         'section'       => 'furcatproproduct_section',
//         'type'          => 'text',
//         'label'         => __( 'Product Height', 'luzuk-premium' )
//     )
// );

//FEATURED PAGES
for( $i = 1; $i <2; $i++ ){

    // $wp_customize->add_setting(
    //     'Furproduct_category_header'.$i,
    //     array(
    //         'sanitize_callback' => 'lz_fitness_sanitize_text'
    //     )
    // );
    // $wp_customize->add_control(
    //     new lz_fitness_Customize_Heading(
    //         $wp_customize,
    //         'Furproduct_category_header'.$i,
    //         array(
    //             'settings'      => 'Furproduct_category_header'.$i,
    //             'section'       => 'furcatproproduct_section',
    //             'label'         => __( 'Product Category Image '.$i, 'supermart-ecommerce' )
    //         )
    //     )
    // );

    // lzAddImageElement($wp_customize, 'furproduct_category_image'.$i, 'furcatproproduct_section', $label="Recommended Image Size: 600X200px");

    // lzAddElement($wp_customize, 'furproduct_catelauge_url_'.$i, 'furcatproproduct_section', $type = 'text', $label="Image Link", $callback ='esc_url', $default='Add link here');

}

$choices = getWooCategories($isObject = false, $id=0, $isParents = 0);

// print_r($choices);

lzCheckBoxElement($wp_customize, 'lz_fitness_furcatproduct_categories', 'furcatproproduct_section', $choices, $default=0, $label=__('Please Select The Categories to show', 'supermart-ecommerce'));
//new

addColorPalatOption($wp_customize, 'furproduct_category_title_color', 'furcatproproduct_section', 'Product title color ', '#000');

addColorPalatOption($wp_customize, 'furproduct_category_color', 'furcatproproduct_section', 'Product category color ', '#000');

addColorPalatOption($wp_customize, 'furproduct_cat_proregulerprice_color', 'furcatproproduct_section', 'Product reguler price color ', '#939191');

addColorPalatOption($wp_customize, 'furproduct_prosaleingprice_color', 'furcatproproduct_section', 'Product sale price color ', '#030303');

addColorPalatOption($wp_customize, 'furproduct_probg_color', 'furcatproproduct_section', 'Product Box background color ', '#fff');

addColorPalatOption($wp_customize, 'furproduct_sliderditbor', 'furcatproproduct_section', 'Slider Dots Border color', '#1e89f3');

addColorPalatOption($wp_customize, 'furproduct_slideractivedotbor', 'furcatproproduct_section', 'Slider Active Dots Background / Border color', '#1e89f3');
